Bug 2105269

Summary: F36FailsToInstall: qgis-grass
Product: [Fedora] Fedora Reporter: Miro Hrončok <mhroncok>
Component: qgisAssignee: Sandro Mani <manisandro>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 36CC: bruno, cz172638, manisandro, orion, volker27
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: qgis-3.24.3-2.fc36 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-07-22 17:15:47 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1992487    

Description Miro Hrončok 2022-07-08 11:44:47 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

Your package (qgis) Fails To Install in Fedora 36:

can't install qgis-grass:
  - nothing provides libgrass_dbmibase.8.0.so()(64bit) needed by qgis-grass-3.24.3-1.fc36.x86_64
  - nothing provides libgrass_dbmiclient.8.0.so()(64bit) needed by qgis-grass-3.24.3-1.fc36.x86_64
  - nothing provides libgrass_gis.8.0.so()(64bit) needed by qgis-grass-3.24.3-1.fc36.x86_64
  - nothing provides libgrass_gproj.8.0.so()(64bit) needed by qgis-grass-3.24.3-1.fc36.x86_64
  - nothing provides libgrass_imagery.8.0.so()(64bit) needed by qgis-grass-3.24.3-1.fc36.x86_64
  - nothing provides libgrass_raster.8.0.so()(64bit) needed by qgis-grass-3.24.3-1.fc36.x86_64
  - nothing provides libgrass_vector.8.0.so()(64bit) needed by qgis-grass-3.24.3-1.fc36.x86_64
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.


P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors. To reproduce, use the koji/local repo only, e.g. in mock:

    $ mock -r fedora-36-x86_64 --config-opts mirrored=False install qgis-grass


P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Fedora Update System 2022-07-13 10:08:17 UTC
FEDORA-2022-a24f4adf6d has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-a24f4adf6d

Comment 2 Fedora Update System 2022-07-14 01:18:41 UTC
FEDORA-2022-a24f4adf6d has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-a24f4adf6d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-a24f4adf6d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 3 Fedora Update System 2022-07-22 17:15:47 UTC
FEDORA-2022-a24f4adf6d has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.